!allocation dynamique
implicit none 
integer :: taille,i
integer, allocatable, dimension(:) :: tab

print *,'donnez la taille du tableau'
read *,taille

allocate(tab(1:taille))

print *,'donnez ',taille,' entiers'
do i=1,taille
	read *,tab(i)
enddo

print *,'tableau ',tab

! si on veut faire de la place
deallocate(tab)	

end
